> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all companies

> Retrieve all companies in a HubSpot account. This endpoint can be useful when needing to sync company data from HubSpot. For example, if you install an app that integrates HubSpot with an Enterprise Resource Planning (ERP) app, that app may want to get all the company records stored in the CRM. It could then match them to customer records stored in the ERP and use webhooks to get incremental updates.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['crm.objects.companies.read', 'crm.objects.companies.write']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/crm-companies-v2.json GET /companies/v2/companies/paged
openapi: 3.0.0
info:
  title: CRM Companies API v2
  version: 2.0.0
  description: Legacy CRM Companies API v2 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /companies/v2/companies/paged:
    get:
      summary: Get all companies
      description: >-
        Retrieve all companies in a HubSpot account. This endpoint can be useful
        when needing to sync company data from HubSpot. For example, if you
        install an app that integrates HubSpot with an Enterprise Resource
        Planning (ERP) app, that app may want to get all the company records
        stored in the CRM. It could then match them to customer records stored
        in the ERP and use webhooks to get incremental updates.
      operationId: getcompaniesv2companiespaged
      parameters:
        - name: offset
          in: query
          required: false
          description: >-
            Used to page through the results. Each request will return an offset
            value that you use in the next request to get the next set of
            result.
          schema:
            type: string
        - name: count
          in: query
          required: false
          description: Specifies the number of companies to be returned.
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Get all companies - Example 1
                  value:
                    companies:
                      - portalId: 62515
                        additionalDomains: []
                        properties:
                          website:
                            sourceId: null
                            timestamp: 1457513066540
                            versions:
                              - timestamp: 1457513066540
                                sourceVid: []
                                name: website
                                value: example.com
                                source: COMPANIES
                            value: example.com
                            source: COMPANIES
                          name:
                            sourceId: name
                            timestamp: 1464484587592
                            versions:
                              - name: name
                                sourceId: name
                                timestamp: 1464484587592
                                value: Example Company
                                source: BIDEN
                                sourceVid: []
                            value: Example Company
                            source: BIDEN
                        isDeleted: false
                        companyId: 115200636
                      - portalId: 62515
                        additionalDomains: []
                        properties:
                          website:
                            sourceId: null
                            timestamp: 1457535205549
                            versions:
                              - timestamp: 1457535205549
                                sourceVid: []
                                name: website
                                value: test.com
                                source: COMPANIES
                            value: test.com
                            source: COMPANIES
                          name:
                            sourceId: name
                            timestamp: 1468832771769
                            versions:
                              - name: name
                                sourceId: name
                                timestamp: 1468832771769
                                value: Test Company
                                source: BIDEN
                                sourceVid: []
                            value: Test Company
                            source: BIDEN
                        isDeleted: false
                        companyId: 115279791
                    has-more: true
                    offset: 115279791

````